Quick Start

Last updated 3 months ago

REQUIREMENTS

  1. Node.js v10 or above

  2. Build Tools for your Platform

RUN

0. Install Node.js (>=10)

If you have not installed Node.js(or version is below 10),You need to install the latest version of Node.js first by following the links below:

Instal Node.js for other platforms can be found at https://nodejs.org/en/download/package-manager/

1. Clone wechaty-getting-started Repository

git clone https://github.com/Chatie/wechaty-getting-started
cd wechaty-getting-started

2. Install Dependencies

npm install

3. Run the Bot

Notice: Wechaty requires Node.js version >= 10

npm start
# Or use node to run bot directly
node examples/starter-bot.js

You are all set!

You can see the following result after running:

demo

This demo will show all message on the bot.

DEMO

Wechaty Developers' Home

Scan the following QR Code in WeChat with secret code wechaty, join our Wechaty Developers' Home. This group is only for developers.